FROM docker.io/python:3.11-alpine3.20@sha256:004b4029670f2964bb102d076571c9d750c2a43b51c13c768e443c95a71aa9f3
LABEL name="yamllint"

# https://pypi.org/project/yamllint/#history
ENV YAMLLINT_VERSION="1.35.1"

USER root

RUN set -x \
    # Add bash
    && apk add --no-cache bash \
    # Create dedicated user
    && addgroup --gid 1664 --system yamllint \
    && adduser \
      --uid 1664 \
      --ingroup yamllint \
      --home /home/yamllint \
      --shell /bin/bash \
      --system \
      yamllint \
    # Install yamllint
    && pip install --no-cache-dir --upgrade pip \
    && pip install --no-cache-dir \
      yamllint=="${YAMLLINT_VERSION}" \
    # Cleanup
    && rm -rf /var/cache/apk/*

USER yamllint
WORKDIR /home/yamllint

CMD ["yamllint"]
